> For the complete documentation index, see [llms.txt](https://mediamarkup.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mediamarkup.gitbook.io/docs/api/api-explorer.md).

# API Explorer

### **Interactive Documentation and Manual Testing**

The list of API endpoints and manual testing can be done at:

<https://api.mediamarkup.com/docs/index.html>

To Authorize access and manually interact with the API, follow these steps:

1. Login to your account as an administrator, click **Integrations** from the top right account menu.
2. Get the *ClientId* (API Key) and *ClientSecret* (API Secret) keys.
3. Go to <https://api.mediamarkup.com/docs/index.html>
4. Click the \[Authorize] button.
5. Enter the account keys and and click the \[Authorise] button to login.
6. Use the \[Try it out] button for each endpoint to make the relevant requests.
7. To logout, click the \[Authorize] button, then click the \[Logout] button

Each endpoint provides the payload/parameters required, the expected results and error codes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://mediamarkup.gitbook.io/docs/api/api-explorer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
